Raritan PX2/PX3 JSON-RPC API

Classes | Variables
event Module Reference

Event interface. More...

## Classes
interface | AlarmManager
| AlarmManager interface. More...
interface | Channel_1_0_1
| Event Channel. More...
interface | DataPushService_1_0_1
| Data push service configuration interface. More...
interface | Engine_1_0_1
| There is a single event engine instance reachable by a well known reference. More...
struct | Event
| Event has a type: a STATE event indicates that a boolean state has been changed, i.e. More...
struct | KeyValue
| Helper that is used wherever key/value pairs are required. More...
interface | Service_1_0_1
| Event Service. More...
interface | TimerEventManager_2_0_0
| TimerEventManager interface. More...

## Variables
valueobject | UserEvent
| This UserEvent may be used as base valueobject for all concrete events that are triggered because of user interaction. More...
string | actIpAddr
| ip or device on which user is logged in

## Detailed Description

Event interface.

## Variable Documentation

## ◆ UserEvent

valueobject event::UserEvent

This UserEvent may be used as base valueobject for all concrete events that are triggered because of user interaction.

user who triggered event